# TdApi.ConnectedWebsites

Package it.ernytech.tdlib

## Class TdApi.ConnectedWebsites

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ConnectedWebsites

Enclosing class:
  TdApi

    public static class TdApi.ConnectedWebsites
    extends TdApi.Object

Contains a list of websites the current user is logged in with Telegram.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ConnectedWebsite[]` `websites` List of connected websites.

### Constructor Summary

Constructors
`ConnectedWebsites()` Default constructor.
`ConnectedWebsites​(TdApi.ConnectedWebsite[] websites)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### websites

    public TdApi.ConnectedWebsite[] websites

List of connected websites.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ConnectedWebsites

    public ConnectedWebsites()

Default constructor.

#### ConnectedWebsites

    public ConnectedWebsites​(TdApi.ConnectedWebsite[] websites)

Constructor for initialization of all fields.

Parameters:
  `websites` - List of connected websites.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR